package multex;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * TestSuite that runs all MulTEx tests
 *
 */
public class AllTests {


public static void main(String[] args)throws ClassNotFoundException{
    junit.textui.TestRunner.run(suite());
}

public static Test suite()throws ClassNotFoundException{
    final TestSuite suite= new TestSuite("All MulTEx tests");
    suite.addTestSuite(ExceptionChainTest.class);
    suite.addTestSuite(MsgTextTest.class);
    suite.addTestSuite(MsgTest.class);
    
    if(multex.Failure.jreHasExceptionChaining()){
        suite.addTestSuite(Class.forName("multex.Jdk1_4ExceptionChainTest"));
    }
    return suite;
}


}