package multex.test;

/**
 * @author Christoph Knabe 2003-05-22
 *
 * ResourceBundle with german message texts for testing class MsgText.
 */
public class MsgTextDeResourceBundle extends java.util.ListResourceBundle {
	public static final String classCastExceptionText 
	= "Typumwandlung nicht mglich von Objekt dieser Klasse";
	
	public static final String wertText = "Man kann mit Wert ";
	public static final String objektText = " nicht Objekt "; 
	public static final String initText = " initialisieren";
	public static final String initFailureText 
	= wertText + "{1}" + objektText + "{0}" + initText;

	protected Object[][] getContents() {
		return _contents;
	}
	
	private static final Object[][] _contents = {
		{ClassCastException.class.getName(), classCastExceptionText},
		{multex.test.InitFailure.class.getName(), initFailureText}
	};

}
